//LED DOT TEST PROG
//̺
//ǽ 7.5.2

#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#define DEBOUNCING_DELAY     20

void msec_delay (int n);

static volatile int index = 0;        
static unsigned char pattern[8]
= {0xFE, 0xFD, 0xFB, 0xF7, 0xEF, 0xDF, 0xBF, 0x7F};

ISR (INT0_vect)
{
  if(++index==8) index=0;

  msec_delay(DEBOUNCING_DELAY);
  while(~PIND & 0x01);
  msec_delay(DEBOUNCING_DELAY);

  EIFR = (1<<INTF0);
  }

  int main()
  {
     DDRC = 0xFF;
     DDRA = 0xFF;
	 PORTC = 0x01 << index ;
	 PORTA = pattern[index];

	 EICRA = (2<<ISC00);
	 EIMSK = (1<<INT0);
	 sei();

	 while(1)
	 {
	   PORTA = pattern[index];
	   PORTC = 0x01 << index;
	   }
    }
	//óFE KEY   LED  ٲٸ鼭 
	//̵
	void msec_delay (int n)
	{  
	  for(; n>0; n--)
	     _delay_ms(1);
      }
